## elisa-player 20.12.3

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

# documentation

if (KF5DocTools_FOUND)
    KDOCTOOLS_CREATE_HANDBOOK(
        index.docbook
            INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
            SUBDIR elisa
    )
endif()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

include_directories(${elisa_BINARY_DIR})

set(elisaLib_SOURCES
    mediaplaylist.cpp
    mediaplaylistproxymodel.cpp
    progressindicator.cpp
    databaseinterface.cpp
    datatypes.cpp
    musiclistenersmanager.cpp
    managemediaplayercontrol.cpp
    manageheaderbar.cpp
    manageaudioplayer.cpp
    trackslistener.cpp
    elisaapplication.cpp
    modeldataloader.cpp
    elisautils.cpp
    abstractfile/abstractfilelistener.cpp
    abstractfile/abstractfilelisting.cpp
    filescanner.cpp
    filewriter.cpp
    viewmanager.cpp
    powermanagementinterface.cpp
    file/filelistener.cpp
    file/localfilelisting.cpp
    models/datamodel.cpp
    models/abstractmediaproxymodel.cpp
    models/gridviewproxymodel.cpp
    models/trackmetadatamodel.cpp
    models/editabletrackmetadatamodel.cpp
    models/trackcontextmetadatamodel.cpp
    models/viewsmodel.cpp
    models/viewsproxymodel.cpp
    viewslistdata.cpp
    viewconfigurationdata.cpp
    localFileConfiguration/elisaconfigurationdialog.cpp
)

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "indexersManager.h"
    IDENTIFIER "orgKdeElisaIndexersManager"
    CATEGORY_NAME "org.kde.elisa.indexers.manager"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "databaseLogging.h"
    IDENTIFIER "orgKdeElisaDatabase"
    CATEGORY_NAME "org.kde.elisa.database"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "abstractfile/indexercommon.h"
    IDENTIFIER "orgKdeElisaIndexer"
    CATEGORY_NAME "org.kde.elisa.indexer"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "models/modelLogging.h"
    IDENTIFIER "orgKdeElisaModel"
    CATEGORY_NAME "org.kde.elisa.model"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playListLogging.h"
    IDENTIFIER "orgKdeElisaPlayList"
    CATEGORY_NAME "org.kde.elisa.playlist"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "viewsLogging.h"
    IDENTIFIER "orgKdeElisaViews"
    CATEGORY_NAME "org.kde.elisa.views"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playerLogging.h"
    IDENTIFIER "orgKdeElisaPlayer"
    CATEGORY_NAME "org.kde.elisa.player"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "powerManagementLogging.h"
    IDENTIFIER "orgKdeElisaPowerManagement"
    CATEGORY_NAME "org.kde.elisa.powermanagement"
    DEFAULT_SEVERITY Info
    )

if (LIBVLC_FOUND)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "vlcLogging.h"
        IDENTIFIER "orgKdeElisaPlayerVlc"
        CATEGORY_NAME "org.kde.elisa.player.vlc"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_libvlc.cpp
        )
else()
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "qtMultimediaLogging.h"
        IDENTIFIER "orgKdeElisaPlayerQtMultimedia"
        CATEGORY_NAME "org.kde.elisa.player.qtMultimedia"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_qtmultimedia.cpp
        )
endif()

if (ANDROID)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        android/androidmusiclistener.cpp
        )
endif()

if (KF5KIO_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        models/filebrowsermodel.cpp
        models/filebrowserproxymodel.cpp
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        ecm_qt_declare_logging_category(elisaLib_SOURCES
            HEADER "baloo/baloocommon.h"
            IDENTIFIER "orgKdeElisaBaloo"
            CATEGORY_NAME "org.kde.elisa.baloo"
            DEFAULT_SEVERITY Info
            )

        set(elisaLib_SOURCES
            ${elisaLib_SOURCES}
            baloo/localbaloofilelisting.cpp
            baloo/baloolistener.cpp
            baloo/baloodetector.cpp
            )

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.main.xml
            baloo/main)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.fileindexer.xml
            baloo/fileindexer)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.scheduler.xml
            baloo/scheduler)

        qt5_add_dbus_adaptor(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.BalooWatcherApplication.xml
            baloo/localbaloofilelisting.h LocalBalooFileListing)
    endif()
endif()

if (Qt5DBus_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        mpris2/mpris2.cpp
        mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.cpp
        )
endif()

if (UPNPQT_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        upnp/upnpcontrolcontentdirectory.cpp
        upnp/upnpcontentdirectorymodel.cpp
        upnp/upnpcontrolconnectionmanager.cpp
        upnp/upnpcontrolmediaserver.cpp
        upnp/didlparser.cpp
        upnp/upnplistener.cpp
        upnp/upnpdiscoverallmusic.cpp
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.fileindexer.xml
            baloo/fileindexer)

        qt5_add_dbus_interface(elisaLib_SOURCES
            ${BALOO_DBUS_INTERFACES_DIR}/org.kde.baloo.scheduler.xml
            baloo/scheduler)

        set(elisaLib_SOURCES
            ${elisaLib_SOURCES}
            ../src/baloo/baloolistener.cpp
            ../src/baloo/localbaloofilelisting.cpp
            )
    endif()
endif()

kconfig_add_kcfg_files(elisaLib_SOURCES ../src/elisa_settings.kcfgc GENERATE_MOC )
set(elisaLib_SOURCES
    ${elisaLib_SOURCES}
    ../src/elisa_core.kcfg
    )

add_library(elisaLib ${elisaLib_SOURCES})
target_link_libraries(elisaLib
    LINK_PUBLIC
    Qt5::Multimedia
    LINK_PRIVATE
    Qt5::Core Qt5::Sql Qt5::Widgets Qt5::Concurrent Qt5::Qml
    KF5::I18n KF5::CoreAddons
    KF5::ConfigCore KF5::ConfigGui)

if (KF5FileMetaData_FOUND)
    target_link_libraries(elisaLib
        LINK_PRIVATE
        KF5::FileMetaData
        )
endif()

if (KF5KIO_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets
        )
endif()

if (KF5XmlGui_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::XmlGui
        )
endif()

if (KF5ConfigWidgets_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF5::ConfigWidgets
        )
endif()

if (KF5Baloo_FOUND)
    if (Qt5DBus_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF5::Baloo
            )
    endif()
endif()

if (Qt5DBus_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt5::DBus
        )

    if (KF5DBusAddons_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF5::DBusAddons
            )
    endif()
endif()

if (LIBVLC_FOUND)
    target_include_directories(elisaLib
        PRIVATE
        ${LIBVLC_INCLUDE_DIR}
        )

    target_link_libraries(elisaLib
        LINK_PRIVATE
        ${LIBVLC_LIBRARY}
        )
endif()

if (ANDROID)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt5::AndroidExtras
        )
endif()

generate_export_header(elisaLib BASE_NAME ElisaLib EXPORT_FILE_NAME elisaLib_export.h)

set_target_properties(elisaLib PROPERTIES
    VERSION 0.1
    SOVERSION 0
    EXPORT_NAME ElisaLib
    )

if (NOT APPLE AND NOT WIN32)
    install(TARGETS elisaLib
        LIBRARY DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa NAMELINK_SKIP
        RUNTIME DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        BUNDLE DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        )
else()
    install(TARGETS elisaLib ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

set(elisaqmlplugin_SOURCES
    elisaqmlplugin.cpp
    elisautils.cpp
)

if (KF5FileMetaData_FOUND)
    set(elisaqmlplugin_SOURCES
        ${elisaqmlplugin_SOURCES}
        embeddedcoverageimageprovider.cpp
    )
endif()

add_library(elisaqmlplugin SHARED ${elisaqmlplugin_SOURCES})
target_link_libraries(elisaqmlplugin
    LINK_PRIVATE
    Qt5::Quick Qt5::Widgets
    KF5::ConfigCore KF5::ConfigGui
    elisaLib
    )

if (KF5FileMetaData_FOUND)
    target_link_libraries(elisaqmlplugin
        LINK_PRIVATE
        KF5::FileMetaData
        )
endif()

set_target_properties(elisaqmlplugin PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/elisa
    )

if (NOT APPLE AND NOT WIN32)
    set_target_properties(elisaqmlplugin PROPERTIES
        INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"
        )
endif()

install(TARGETS elisaqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/elisa/)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/elisa)

add_custom_target(copy)
add_custom_target(copy2)

file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/elisa)

add_custom_command(TARGET copy PRE_BUILD
    COMMAND ${CMAKE_COMMAND} -E
    copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/elisa/)

add_custom_command(TARGET copy2 PRE_BUILD
    COMMAND ${CMAKE_COMMAND} -E
    copy ${CMAKE_CURRENT_SOURCE_DIR}/plugins.qmltypes ${CMAKE_BINARY_DIR}/bin/org/kde/elisa/)

add_dependencies(elisaqmlplugin copy copy2)

ecm_generate_qmltypes(org.kde.elisa 1.0
                      DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/elisa)

if (Qt5Quick_FOUND AND Qt5Widgets_FOUND)
    set(elisa_SOURCES
        main.cpp
        elisaarguments.cpp
        elisaarguments.h

        windows/WindowsTheme.qml
        windows/PlatformIntegration.qml

        android/ElisaMainWindow.qml
        android/AndroidTheme.qml
        android/PlatformIntegration.qml
        android/AlbumsView.qml
        android/ArtistsView.qml
        android/TracksView.qml
        android/GenresView.qml

        qml/ElisaMainWindow.qml
        qml/ApplicationMenu.qml
        qml/NativeGlobalMenu.qml
        qml/NativeTrayMenu.qml
        qml/NativeMenuItemFromAction.qml
        qml/BaseTheme.qml
        qml/Theme.qml
        qml/PlatformIntegration.qml
        qml/LabelWithToolTip.qml

        qml/RatingStar.qml
        qml/DraggableItem.qml
        qml/TrackImportNotification.qml
        qml/ImageWithFallback.qml

        qml/HeaderBar.qml
        qml/NavigationActionBar.qml
        qml/SortMenu.qml
        qml/MediaPlayerControl.qml
        qml/ContextView.qml
        qml/ContentView.qml
        qml/ViewSelector.qml
        qml/ViewSelectorDelegate.qml
        qml/DataGridView.qml
        qml/DataListView.qml

        qml/MediaPlayListView.qml
        qml/PlayListBasicView.qml
        qml/PlayListEntry.qml
        qml/SimplePlayListView.qml
        qml/BasicPlayListAlbumHeader.qml

        qml/MetaDataDelegate.qml
        qml/EditableMetaDataDelegate.qml
        qml/TracksDiscHeader.qml
        qml/MediaTrackMetadataView.qml
        qml/GridBrowserView.qml
        qml/GridBrowserDelegate.qml
        qml/ListBrowserView.qml
        qml/ListBrowserDelegate.qml
        qml/FlatButtonWithToolTip.qml
        qml/HeaderFooterToolbar.qml

        qml/ElisaConfigurationDialog.qml
        qml/FileScanningConfiguration.qml
        qml/GeneralConfiguration.qml
    )

    qt5_add_resources(elisa_SOURCES resources.qrc)
    set_property(SOURCE qrc_resources.cpp PROPERTY SKIP_AUTOMOC ON)

    set(elisa_ICONS_PNG
        ../icons/128-apps-elisa.png
        ../icons/64-apps-elisa.png
        ../icons/48-apps-elisa.png
        ../icons/32-apps-elisa.png
        ../icons/22-apps-elisa.png
        ../icons/16-apps-elisa.png
        )

    # add icons to application sources, to have them bundled

=== debian/changelog ===
elisa-player (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 06 Mar 2021 23:53:35 +0100

elisa-player (20.12.2-2) unstable; urgency=medium

  * Team upload.
  * Drop the 'show-command-line-help' autopkgtest, as it is not that useful.
  * Remove the creation of custom $HOME, $TMPDIR, and $XDG_RUNTIME_DIR
    directories when running dh_auto_test, as debhelper does that already in
    compatibility 13+ (already in use).
  * Explicitly add the gettext, and pkg-config build dependencies.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Feb 2021 12:23:58 +0100

elisa-player (20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:48:24 +0100

elisa-player (20.12.1-1) unstable; urgency=medium

  * Refresh upstream metadata.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Cleanup copyright information.
  * Update project homepage.
  * Update Vcs- fields.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:24:04 +0100

elisa-player (20.12.0-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release (20.12.0).
  * Bump build dependencies according to upstream build system:
    - Qt >= 5.14
  * Add runtime dependencies to QML modules.
  * Refresh copyright information.
  * Normalize GitLab CI/CD pipeline to salsa-ci.yml to match the rest of the
    team’s packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 16:51:08 +0100

elisa-player (20.08.2-1) unstable; urgency=medium

  * New upstream release (20.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 00:25:18 +0100

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.70.0~),
               cmake (>= 3.8~),
	       dbus <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               kirigami2-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5filemetadata-bin (>= 5.70.0~) <!nocheck>,
               libkf5filemetadata-dev (>= 5.70.0~),
               libkf5filemetadata3 (>= 5.70.0~) <!nocheck>,
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               libqt5multimedia5-plugins (>= 5.14.0~) <!nocheck>,
               libqt5sql5-sqlite (>= 5.14.0~) <!nocheck>,
               libqt5svg5-dev (>= 5.14.0~),
               libvlc-dev,
               libvlccore-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtmultimedia (>= 5.14.0~) <!nocheck>,
               qml-module-qtqml-models2 (>= 5.14.0~) <!nocheck>,
               qml-module-qtquick-controls (>= 5.14.0~) <!nocheck>,
               qml-module-qtquick-controls2 (>= 5.14.0~) <!nocheck>,
               qml-module-qtquick-layouts (>= 5.14.0~) <!nocheck>,
               qml-module-qttest (>= 5.14.0~) <!nocheck>,
               qtbase5-dev (>= 5.14.0~),
               qtbase5-private-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtmultimedia5-dev (>= 5.14.0~),
               qtquickcontrols2-5-dev (>= 5.14.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/multimedia/elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git

Package: elisa
Architecture: any
Depends: breeze-icon-theme (>= 5.70.0~),
         libqt5multimedia5-plugins (>= 5.14.0~),
         libqt5sql5-sqlite (>= 5.14.0~),
         qml-module-org-kde-kcm (>= 5.70.0~),
         qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-qt-labs-platform (>= 5.14.0~),
         qml-module-qt-labs-settings (>= 5.14.0~),
         qml-module-qtgraphicaleffects (>= 5.14.0~),
         qml-module-qtqml (>= 5.14.0~),
         qml-module-qtqml-models2 (>= 5.14.0~),
         qml-module-qtquick-controls2 (>= 5.14.0~),
         qml-module-qtquick-dialogs (>= 5.14.0~),
         qml-module-qtquick-layouts (>= 5.14.0~),
         qml-module-qtquick-window2 (>= 5.14.0~),
         qml-module-qtquick2 (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

## elisa-player 21.08.1

=== debian/changelog ===
elisa-player (21.08.1-1ubuntu1) impish; urgency=medium

  * Add upstream bugfix patches:
    - d/p/upstream_fix-toolbutton-icon-colours.patch
    - d/p/upstream_dont-disable-forward-backward-buttons-when-paused.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Sep 2021 15:21:39 +0100

elisa-player (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 14:49:21 +0900

elisa-player (21.08.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry pick upstream fix for broken files view.

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Aug 2021 01:23:51 +0900

elisa-player (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:44:33 +0900

elisa-player (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 09:48:52 +0900

elisa-player (21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:23:23 +0900

elisa-player (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:04:36 +0900

elisa-player (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Update dependencies from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:15:41 +0900

## elisa-player 21.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.8)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(elisa
    VERSION ${RELEASE_SERVICE_VERSION}
    LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

set(REQUIRED_QT_VERSION "5.15.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Qml Quick Test Sql Multimedia Svg Gui Widgets QuickTest Concurrent QuickControls2)

find_package(Qt5Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)

set(REQUIRED_KF5_VERSION "5.80.0")
find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQmlTypes)

if (NOT WIN32 AND NOT ANDROID)
    find_package(Qt5DBus ${REQUIRED_QT_VERSION} CONFIG QUIET)
    set_package_properties(Qt5DBus PROPERTIES
        DESCRIPTION "Qt5 DBus is needed to provide MPris2 interface to allow remote control by the desktop workspace."
        TYPE OPTIONAL)
endif()

find_package(Qt5QuickWidgets ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5QuickWidgets PROPERTIES
    DESCRIPTION "Qt5 Quick Widgets is needed at runtime to provide the interface."
    TYPE RUNTIME)

find_package(Qt5QuickControls2 ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5QuickControls2 PROPERTIES
    DESCRIPTION "Qt5 Quick Controls version 2 is needed at runtime to provide the interface."
    TYPE RUNTIME)

if (ANDROID)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS AndroidExtras)
    set_package_properties(Qt5AndroidExtras PROPERTIES
        DESCRIPTION "Qt5 AndroidExtras is needed to provide the Android integration."
        TYPE REQUIRED)
endif()

find_package(KF5Kirigami2 ${REQUIRED_KF5_VERSION} CONFIG QUIET)

set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KF5 Kirigami 2 is needed to provide the mobile UI components."
    TYPE REQUIRED)

find_package(KF5I18n ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5I18n PROPERTIES
    DESCRIPTION "KF5 text internationalization library."
    TYPE REQUIRED)

find_package(KF5Declarative ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Declarative PROPERTIES
    DESCRIPTION "Integration of QML and KDE work spaces."
    TYPE RECOMMENDED)

find_package(KF5CoreAddons ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5CoreAddons PROPERTIES
    DESCRIPTION "Qt addon library with a collection of non-GUI utilities."
    TYPE REQUIRED)

find_package(KF5IconThemes ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5IconThemes PROPERTIES
    DESCRIPTION "Support for icon themes."
    TYPE REQUIRED)

if (NOT WIN32)
find_package(KF5Baloo ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "Baloo provides file searching and indexing."
    TYPE RECOMMENDED)
endif()

find_package(KF5FileMetaData ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5FileMetaData PROPERTIES
    DESCRIPTION "Provides a simple library for extracting metadata."
    TYPE RECOMMENDED)

find_package(KF5DocTools ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5DocTools PROPERTIES
    DESCRIPTION "Create documentation from DocBook library."
    TYPE OPTIONAL)

find_package(KF5XmlGui ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5XmlGui PROPERTIES
    DESCRIPTION "Framework for managing menu and toolbar actions."
    TYPE RECOMMENDED)

find_package(KF5Config ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Config PROPERTIES
    DESCRIPTION "Persistent platform-independent application settings."
    TYPE REQUIRED)

find_package(KF5ConfigWidgets ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5ConfigWidgets PROPERTIES
    DESCRIPTION "Widgets for configuration dialogs."
    TYPE RECOMMENDED)

find_package(KF5Crash ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Crash PROPERTIES
    DESCRIPTION "Graceful handling of application crashes."
    TYPE OPTIONAL)

if (NOT WIN32 AND NOT ANDROID)
    find_package(KF5DBusAddons ${REQUIRED_KF5_VERSION} CONFIG QUIET)
    set_package_properties(KF5DBusAddons PROPERTIES
        DESCRIPTION "Convenience classes for D-Bus."
        TYPE OPTIONAL)
endif()

find_package(KF5Package ${REQUIRED_KF5_VERSION} CONFIG QUIET)
set_package_properties(KF5Package PROPERTIES
    DESCRIPTION "KF5 package management library needed to get the configuration dialogs."
    TYPE RECOMMENDED)

if (NOT ANDROID)
    find_package(KF5KIO ${REQUIRED_KF5_VERSION} CONFIG QUIET)
    set_package_properties(KF5KIO PROPERTIES
        DESCRIPTION "File management libraries used for file browsing."
        TYPE REQUIRED)
endif()

find_package(UPNPQT CONFIG QUIET)
set_package_properties(UPNPQT PROPERTIES
    DESCRIPTION "UPNP layer build with Qt 5. UPnP support is currently broken. You should probably avoid this dependency."
    URL "https://gitlab.com/homeautomationqt/upnp-player-qt"
    TYPE OPTIONAL)

if (UPNPQT_FOUND)
    message(WARNING "UPnP support is experimental and may not work.")
endif()

find_package(LIBVLC QUIET)
set_package_properties(LIBVLC PROPERTIES
    DESCRIPTION "libvlc allows to play music in Elisa (otherwise it will use QtMultimedia)"
    URL "https://www.videolan.org/vlc/libvlc.html"
    TYPE RECOMMENDED)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)

configure_file(config-upnp-qt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-upnp-qt.h)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX ELISA
    VERSION_HEADER elisa-version.h)

set(QML_IMPORT_PATH ${CMAKE_BINARY_DIR}/bin CACHE STRING "" FORCE)

add_subdirectory(src)
add_subdirectory(icons)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(doc)

install(
    PROGRAMS org.kde.elisa.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install(
    FILES org.kde.elisa.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

install(FILES elisa.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (ANDROID)
    file(COPY androidResources/icon.png androidResources/splash.xml androidResources/vendor_logo.png androidResources/splash_logo.png
        DESTINATION ${CMAKE_SOURCE_DIR}/data/res/drawable)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
elisa-player (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:42:57 +0100

elisa-player (21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:52:25 +0900

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: baloo-kf5-dev (>= 5.80.0~),
               cmake (>= 3.8~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.80.0~),
               gettext,
               kirigami2-dev (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5configwidgets-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5crash-dev (>= 5.80.0~),
               libkf5dbusaddons-dev (>= 5.80.0~),
               libkf5declarative-dev (>= 5.80.0~),
               libkf5doctools-dev (>= 5.80.0~),
               libkf5filemetadata-bin (>= 5.77.0~) <!nocheck>,
               libkf5filemetadata-dev (>= 5.80.0~),
               libkf5filemetadata3 (>= 5.77.0~) <!nocheck>,
               libkf5i18n-dev (>= 5.80.0~),
               libkf5kcmutils-dev (>= 5.77.0~),
               libkf5kio-dev (>= 5.80.0~),
               libkf5package-dev (>= 5.80.0~),
               libkf5xmlgui-dev (>= 5.80.0~),
               libqt5multimedia5-plugins (>= 5.15.0~) <!nocheck>,
               libqt5sql5-sqlite (>= 5.15.0~) <!nocheck>,
               libqt5svg5-dev (>= 5.15.0~),
               libvlc-dev,
               libvlccore-dev,
               pkg-config,
               pkg-kde-tools,
               qml-module-qtmultimedia (>= 5.15.0~) <!nocheck>,
               qml-module-qtqml-models2 (>= 5.15.0~) <!nocheck>,
               qml-module-qtquick-controls (>= 5.15.0~) <!nocheck>,
               qml-module-qtquick-controls2 (>= 5.15.0~) <!nocheck>,
               qml-module-qtquick-layouts (>= 5.15.0~) <!nocheck>,
               qml-module-qttest (>= 5.15.0~) <!nocheck>,
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtmultimedia5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/multimedia/elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git

Package: elisa
Architecture: any
Depends: breeze-icon-theme (>= 5.77.0~),
         libqt5multimedia5-plugins (>= 5.15.0~),
         libqt5sql5-sqlite (>= 5.15.0~),
         qml-module-org-kde-kcm (>= 5.77.0~),
         qml-module-org-kde-kirigami2 (>= 5.77.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-settings (>= 5.15.0~),
         qml-module-qtgraphicaleffects (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-dialogs (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.

## elisa-player 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -14,21 +14,19 @@
     VERSION ${RELEASE_SERVICE_VERSION}
     LANGUAGES CXX)
 
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_STANDARD 17)
-
 set(REQUIRED_QT_VERSION "5.15.0")
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network Qml Quick Test Sql Multimedia Svg Gui Widgets QuickTest Concurrent QuickControls2)
 
 find_package(Qt5Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)
 
-set(REQUIRED_KF5_VERSION "5.80.0")
+# TODO: bump dependency to 5.86 once 5.86 is tagged
+set(REQUIRED_KF5_VERSION "5.85.0")
 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(FeatureSummary)
 include(ECMAddAppIcon)

=== debian/changelog ===
elisa-player (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:10 +0000

elisa-player (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Add signature support to debian/watch

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:40 +0000

elisa-player (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:33 +0000

elisa-player (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:20 +0000

elisa-player (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:49 +0000

elisa-player (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:55 +0000

elisa-player (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Make build time tests non fatal for now, as they also fail in the
    same way on the upstream CI.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: elisa-player
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.80.0~),
@@ -49,8 +50,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/multimedia/elisa
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/elisa
 
 Package: elisa
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	-xvfb-run -a --server-args="-screen 0 1024x768x24+32" dbus-run-session dh_auto_test --no-parallel

override_dh_makeshlibs:
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/elisa-([\d.]+)\.tar\.xz

## elisa-player 22.08.2

=== debian/changelog ===
elisa-player (22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:13:59 +0100

elisa-player (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:38 +0100

elisa-player (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:02 +0100

elisa-player (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:14 +0100

elisa-player (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:52 +0100

elisa-player (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:39 +0100

elisa-player (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:27 +0100

## elisa-player 22.12.1

=== debian/changelog ===
elisa-player (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:20 +0100

elisa-player (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:26 +0100

elisa-player (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100

elisa-player (22.08.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Backport ustream patch to hopefully fix playback stuttering.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Nov 2022 17:05:19 +0100

elisa-player (22.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.90.0
    - drop the manually specified libkf5filemetadata3, already pulled in by
      libkf5filemetadata-dev
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Do not run the test suite during build time: there are two tests failing
    (mediaplaylistproxymodelTest, elisaqmltests), and they fail on the upstream
    CI as well; since upstream seems to ignore their failures, so we can do too
    (Closes: #1013576)
    - pass -DBUILD_TESTING=OFF to cmake to stop building them
    - make override_dh_auto_test an empty override
    - drop the test-only build dependencies: dbus, libkf5filemetadata-bin,
      libqt5multimedia5-plugins, libqt5sql5-sqlite, qml-module-qtmultimedia,
      qml-module-qtqml-models2, qml-module-qtquick-controls,
      qml-module-qtquick-controls2, qml-module-qtquick-layouts,
      qml-module-qttest, xauth, and xvfb
  * Update lintian overrides.
  * CI: ignore reprotest build path variations.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 07:16:55 +0200

=== debian/control ===
Source: elisa-player
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.98.0~),
               cmake (>= 3.8~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               kirigami2-dev (>= 5.98.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5configwidgets-dev (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5crash-dev (>= 5.98.0~),
               libkf5dbusaddons-dev (>= 5.98.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.98.0~),
               libkf5filemetadata-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5kcmutils-dev (>= 5.77.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5package-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libvlc-dev,
               libvlccore-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtmultimedia5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/multimedia/elisa
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/elisa
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/elisa.git

Package: elisa
Architecture: any
Depends: breeze-icon-theme (>= 5.77.0~),
         libqt5multimedia5-plugins (>= 5.15.0~),
         libqt5sql5-sqlite (>= 5.15.0~),
         qml-module-org-kde-kcm (>= 5.77.0~),
         qml-module-org-kde-kirigami2 (>= 5.77.0~),
         qml-module-qt-labs-platform (>= 5.15.0~),
         qml-module-qt-labs-settings (>= 5.15.0~),
         qml-module-qtgraphicaleffects (>= 5.15.0~),
         qml-module-qtqml (>= 5.15.0~),
         qml-module-qtqml-models2 (>= 5.15.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-dialogs (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         qml-module-qtquick-window2 (>= 5.15.0~),
         qml-module-qtquick2 (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Simple music player with a focus on Plasma desktop integration and privacy
 Elisa is a music player developed by the KDE community that strives to be
 simple and nice to use. It tries to be flexible to account for different
 workflows and use-cases. It focuses on a very good integration with the
 Plasma desktop of the KDE community without compromising the support for
 other environments.
 .
 Elisa is developed using modern KDE technologies and aims to be reliable
 and respectful of users’ privacy. As such, it favors online services where
 users are in control of their data.
